
Installer - Feature #14127

As a user, I would like an installer option to enable server-status scoreboard on httpd

03/09/2016 01:34 PM - Chris Duryee

Status: New   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As as user or admin, it would be helpful to optionally enable to enable the server-status scoreboard on a Katello instance. This helps

to find issues with worker pool exhaustion, or excessively long connections.

It looks like there is already an apache::mod::status class so this may be a simple update.

History

#1 - 03/10/2016 11:17 AM - Chris Duryee

update: I think it would be better to just have this in by default. It is a small addition to httpd, and would be accessible only via localhost. Also it would

aid in debugging performance issues since users would not need to run the installer again and bounce httpd (which may clear any interesting state

they want to check).

#2 - 03/11/2016 09:12 PM - Eric Helms

- Project changed from Katello to Installer

- Category changed from Performance to Foreman modules

#3 - 05/16/2016 01:48 PM - Justin Sherrill

- Bugzilla link set to 1163452

#4 - 10/28/2016 02:56 AM - Dominic Cleal

https://github.com/theforeman/puppet-foreman/pull/408 was rejected for this issue.

#5 - 11/28/2016 03:05 PM - Chris Duryee

- Bugzilla link deleted (1163452)
